mail/mimedefang - The NetBSD Packages Collection

To inspect/modify e-mail as it passes through your mail relay

MIMEDefang is an e-mail filter program which works with Sendmail 8.12
and later.  MIMEDefang filters all e-mail messages sent via SMTP.
MIMEDefang splits multi-part MIME messages into their components and
potentially deletes or modifies the various parts.  It then
reassembles the parts back into an e-mail message and sends it on its
way.

MIMEDefang is written (mostly) in Perl, and the filter actions are
expressed in Perl.  This makes MIMEDefang highly flexible and
configurable.  As a simple example, you can delete all *.exe and *.com
files, convert all Word documents to HTML, and allow other attachments
through.

MIMEDefang uses the "milter" feature of Sendmail to "listen in" to
SMTP connections.  It runs a scan once for each message, not once for
each recipient (as simpler procmail-based systems do.)  Therefore, it
is more CPU-friendly than procmail-based systems.  In addition,
because MIMEDefang can participate in the SMTP connection, you can
bounce messages (something impossible to do with procmail-based
systems.)

Build dependencies

mail/libmilter pkgtools/cwrappers

Runtime dependencies

security/p5-Digest-SHA1 www/p5-HTML-Parser www/p5-HTML-Tagset devel/p5-IO-stringy mail/p5-MailTools mail/p5-MIME-tools mail/spamassassin lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 8.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 8.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 8.0earmv7hfmimedefang-2.78nb7.tgz
NetBSD 8.0i386mimedefang-2.78nb6.tgz
NetBSD 8.0i386mimedefang-2.78nb6.tgz
NetBSD 8.0i386mimedefang-2.78nb6.tgz
NetBSD 8.0i386mimedefang-2.78nb7.tgz
NetBSD 8.0powerpcmimedefang-2.78nb6.tgz
NetBSD 8.0powerpcmimedefang-2.78nb6.tgz
NetBSD 8.0powerpcmimedefang-2.78nb6.tgz
NetBSD 8.0powerpcmimedefang-2.78nb7.tgz
NetBSD 8.0powerpcmimedefang-2.78nb7.tgz
NetBSD 8.0x86_64mimedefang-2.78nb6.tgz
NetBSD 8.0x86_64mimedefang-2.78nb6.tgz
NetBSD 8.0x86_64mimedefang-2.78nb6.tgz
NetBSD 8.0x86_64mimedefang-2.78nb7.tgz
NetBSD 9.0aarch64mimedefang-2.78nb7.tgz
NetBSD 9.0aarch64mimedefang-2.78nb6.tgz
NetBSD 9.0aarch64mimedefang-2.78nb6.tgz
NetBSD 9.0aarch64mimedefang-2.78nb6.tgz
NetBSD 9.0alphamimedefang-2.78nb7.tgz
NetBSD 9.0alphamimedefang-2.78nb6.tgz
NetBSD 9.0earmv6hfmimedefang-2.78nb7.tgz
NetBSD 9.0earmv6hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv6hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv6hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv6hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb7.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb6.tgz
NetBSD 9.0earmv7hfmimedefang-2.78nb7.tgz
NetBSD 9.0i386mimedefang-2.78nb6.tgz
NetBSD 9.0i386mimedefang-2.78nb6.tgz
NetBSD 9.0i386mimedefang-2.78nb6.tgz
NetBSD 9.0i386mimedefang-2.78nb7.tgz
NetBSD 9.0mips64ebmimedefang-2.78nb7.tgz
NetBSD 9.0mips64ebmimedefang-2.78nb6.tgz
NetBSD 9.0mips64ebmimedefang-2.78nb6.tgz
NetBSD 9.0mips64ebmimedefang-2.78nb6.tgz
NetBSD 9.0powerpcmimedefang-2.78nb7.tgz
NetBSD 9.0powerpcmimedefang-2.78nb6.tgz
NetBSD 9.0powerpcmimedefang-2.78nb6.tgz
NetBSD 9.0powerpcmimedefang-2.78nb6.tgz
NetBSD 9.0powerpcmimedefang-2.78nb7.tgz
NetBSD 9.0sparc64mimedefang-2.78nb7.tgz
NetBSD 9.0sparc64mimedefang-2.78nb6.tgz
NetBSD 9.0sparcmimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb7.tgz
NetBSD 9.0x86_64mimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb7.tgz
NetBSD 9.0x86_64mimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb6.tgz
NetBSD 9.0x86_64mimedefang-2.78nb7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.